MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025702Community[OCCT] OCCT:Documentationpublic2015-01-13 15:222015-05-14 15:32
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025702: Confusing description of naming services at chapter "5.2.1 Registering shapes and their evolution"
DescriptionOCC OCAF User's Guide states at the chapter 5.1: "Named shapes, which contain information about modified faces, belong to the fuse result sub-labels: sub-label with
tag 1 – modified faces of the first box, sub-label with tag 2 – generated faces of the box 2."

It is the wrong statement. Fuse operation Naming data structure should contain only shapes with evolution MODIFY.
Steps To ReproduceNA.
Additional information
and documentation updates
Chapter 5.1 should be in the next redaction:
"Named shapes, which contain information about modified faces, belong to the fuse result sub-labels: sub-label with
tag 1 – modified faces from the first box, sub-label with tag 2 – modified faces from the box 2."
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0036003)
szy (administrator)
2015-01-13 15:34

Fixt it, please.
Also the picture of the chapter 5.1 should be replaced by new one.
(0036008)
Timo (developer)
2015-01-13 17:05

Probably, this entry is assigned to the wrong project.
(0038230)
ysn (developer)
2015-03-10 17:56
edited on: 2015-03-10 17:58

The corresponding corrections have been made in branch CR25674.

(0038264)
szy (administrator)
2015-03-11 15:31

Yury,
It seems the specified problem is still not fixed.
In frames of the referred by you branch CR25674 the integration was made in
dox\dev_guides\debug\debug.md.
The fix related to the current problem should be integrated in \dox\user_guides\ocaf\ocaf.md.
Check it, please once again.
szy
(0038277)
ysn (developer)
2015-03-11 17:09

No, please, have a look at this commit.

Author: ysn
Date: Tue Mar 10 18:54:29 2015 +0400

    Documentation changes and improvements suggested in bugs 25674, 25702 and 25882. Some corrections for new content in debug.md
(0038278)
szy (administrator)
2015-03-11 17:23

Reviewed.
Can be integrated.
(0038333)
bugmaster (administrator)
2015-03-13 16:59

Fix has been integrated into master of occt repository together with 25674

- Issue History
Date Modified Username Field Change
2015-01-13 15:22 szy New Issue
2015-01-13 15:22 szy Assigned To => ysn
2015-01-13 15:34 szy Note Added: 0036003
2015-01-13 15:34 szy Status new => assigned
2015-01-13 17:05 Timo Note Added: 0036008
2015-01-14 11:11 bugmaster Project CFturbo GmbH => Community
2015-03-10 17:56 ysn Note Added: 0038230
2015-03-10 17:56 ysn Assigned To ysn => szy
2015-03-10 17:56 ysn Status assigned => resolved
2015-03-10 17:58 ysn Note Edited: 0038230 View Revisions
2015-03-11 15:31 szy Note Added: 0038264
2015-03-11 15:31 szy Assigned To szy => ysn
2015-03-11 15:31 szy Status resolved => assigned
2015-03-11 17:09 ysn Note Added: 0038277
2015-03-11 17:22 szy Assigned To ysn => szy
2015-03-11 17:22 szy Status assigned => resolved
2015-03-11 17:23 szy Note Added: 0038278
2015-03-11 17:23 szy Assigned To szy => ysn
2015-03-11 17:23 szy Status resolved => reviewed
2015-03-11 17:56 mkv Assigned To ysn => bugmaster
2015-03-13 16:59 bugmaster Note Added: 0038333
2015-03-13 16:59 bugmaster Status reviewed => verified
2015-03-13 16:59 bugmaster Resolution open => fixed
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker